package mi.hdm.controllers;

import javafx.fxml.FXML;
import javafx.scene.control.Label;
import javafx.scene.control.SplitPane;
import javafx.scene.layout.TilePane;
import javafx.scene.layout.VBox;
import mi.hdm.recipes.Recipe;
import mi.hdm.recipes.RecipeManager;
import mi.hdm.shoppingList.ShoppingList;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

public class ShoppingListViewController extends BaseController {
    private static final Logger log = LogManager.getLogger(ShoppingListViewController.class);

    private final RecipeManager recipeManager;
    private final ShoppingList shoppingList;

    @FXML
    private SplitPane shoppingListSplitPane;

    public ShoppingListViewController(RecipeManager recipeManager, ShoppingList shoppingList) {
        this.recipeManager = recipeManager;
        this.shoppingList = shoppingList;
    }
}
